# Accounts

### Get Metadium Balance for a Single Address <a href="#balance" id="balance"></a>

Returns the Metadium balance of a given address.

```
POST https://testnetapi.metadium.com/v1/accounts/balance
api-key: Your API Key
Content-Type: application/json

{
    "addresses" : [
                "0xcB24fBed8597dd1ff71daBB56b939Ec440a5041E",
                "0xa5eb6c837FA2123b8d3749F85061Efd7471E9352"
    ]
}
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>addresses</em></td><td><p>type: List&#x3C;String></p><p>value: Address of account (min: 1, max: 20)</p><p>required: true</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "data": [
            {
                "address": "0xcb24fbed8597dd1ff71dabb56b939ec440a5041e",
                "balance": "10000023751520000000000000"
            },
            {
                "address": "0xa5eb6c837fa2123b8d3749f85061efd7471e9352",
                "balance": "10000010000000000000000000"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

***

### Get a list of 'Normal' Transactions by Address. <a href="#transaction-list" id="transaction-list"></a>

Returns the list of transactions performed by an address, with optional pagination.

```
GET https://testnetapi.metadium.com/v1/accounts/{address_hash}/transactions
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>address_hash</em></td><td><p>type: String</p><p>value: Address (sender/receiver/contract)</p><p>required: true</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr><tr><td><em>startBlock</em></td><td><p>type: String</p><p>value: Start block (Default: null)</p><p>required: false</p></td></tr><tr><td><em>endBlock</em></td><td><p>type: String</p><p>value: End block (Default: null)</p><p>required: false</p></td></tr><tr><td><em>input</em></td><td><p>type: Boolean</p><p>value: Include input data (true/false[Default])</p><p>required: false</p></td></tr><tr><td><em>simple</em></td><td><p>type: Boolean</p><p>value: Include data simple (true/false[Default])</p><p>required: false</p></td></tr><tr><td><em>condition</em></td><td><p>type: String</p><p>value: Address condition (all[Default]/to/from/contract)</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "2",
        "data": [
            {
                "timestamp": "2020-04-26T07:52:21Z",
                "sender": "0x5e7dcedce34f001f3b50691909a60493befe6e0e",
                "receiver": "0xa5eb6c837fa2123b8d3749f85061efd7471e9352",
                "value": "10000000000000000000",
                "confirmations": "37604809",
                "transaction_hash": "0x1060fc6746ea273310dc5183284522e6dc1a441b3a627734800da592dfe255f4",
                "block_hash": "0x22753ebf9aabf0ec0c0572de32bc6de70a4ec6ab0732393174f2cb6fe66f5557",
                "transaction_index": "5",
                "tx_status": "1",
                "block_number": "7020231",
                "gas_price": "80000000000",
                "cumulative_gas_used": "126000",
                "gas_used": "21000",
                "max_fee_per_gas": "0",
                "max_priority_fee_per_gas": "0"
            },
            ...
        ]
    }
}
```

{% endtab %}

{% tab title="Response (Simple Transaction)" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "2",
        "data": [
            {
                "sender": "0x5e7dcedce34f001f3b50691909a60493befe6e0e",
                "receiver": "0xa5eb6c837fa2123b8d3749f85061efd7471e9352",
                "value": "10000000000000000000",
                "transaction_hash": "0x1060fc6746ea273310dc5183284522e6dc1a441b3a627734800da592dfe255f4",
                "tx_status": "1",
                "tx_fee": "1680000000000000",
                "block_number": "7020231",
                "gas_price": "80000000000",
                "gas_used": "21000"
            },
            ...
        ],
        "to_block": "44625066"
    }
}
```

{% endtab %}
{% endtabs %}

***

### Get a list of 'Internal' Transactions by Address <a href="#internal-transaction-list" id="internal-transaction-list"></a>

Returns the list of internal transactions performed by an address, with optional pagination.

```
GET https://testnetapi.metadium.com/v1/accounts/{address_hash}/internal-transactions
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>address_hash</em></td><td><p>type: String</p><p>value: Address (sender/receiver/contract)</p><p>required: true</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr><tr><td><em>startBlock</em></td><td><p>type: String</p><p>value: Start block (Default: null)</p><p>required: false</p></td></tr><tr><td><em>endBlock</em></td><td><p>type: String</p><p>value: End block (Default: null)</p><p>required: false</p></td></tr><tr><td><em>input</em></td><td><p>type: Boolean</p><p>value: Include input data (true/false[Default])</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "94",
        "data": [
            {
                "timestamp": "2021-08-02T11:21:07Z",
                "sender": "0xe08ebedb48bb74a2ee8795df89b1120f6961aae1",
                "receiver": "0xc27344926ddf38206f25c67aaa95d765f5152c9f",
                "value": "0",
                "status": "1",
                "message": null,
                "transaction_hash": "0x38731e9fe92018bdc1b7f7677957d22ce25da9c518eb07f8965b50db670dd662",
                "block_number": "15051540",
                "contract_address": null,
                "trace_address": [
                    "0",
                    "1",
                    "1",
                    "1"
                ],
                "trace_type": "call",
                "sub_traces": "0",
                "transaction_index": "0",
                "gas_used": "2214",
                "gas_limit": "9045055",
                "external_receiver": false
            },
            ...
        ]
    }
}
```

{% endtab %}
{% endtabs %}

***

### Get a list of 'MRC20 - Token Transfer Events' by Address <a href="#mrc20-token-transfer-events" id="mrc20-token-transfer-events"></a>

Returns the list of MRC-20 tokens transferred by an address, with optional filtering by token contract.

```
GET https://testnetapi.metadium.com/v1/accounts/{address_hash}/token-transfer/mrc20
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>address_hash</em></td><td><p>type: String</p><p>value: Address (sender/receiver/contract)</p><p>required: true</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr><tr><td><em>startBlock</em></td><td><p>type: String</p><p>value: Start block (Default: null)</p><p>required: false</p></td></tr><tr><td><em>endBlock</em></td><td><p>type: String</p><p>value: End block (Default: null)</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "7",
        "data": [
            {
                "timestamp": "2020-02-05T14:38:27Z",
                "sender": "0x0000000000000000000000000000000000000000",
                "receiver": "0x47f7b1714603beebf0643e7ba5c7d7c9b7ef7d27",
                "value": "100000000000000000000000000",
                "confirmations": "39020970",
                "block_number": "5609795",
                "transaction_hash": "0x45fe883911454250848a3cbba887765560ac52c081a5ba8bdfb17f3004b35fe0",
                "block_hash": "0x3c633068bc59eaabafef553c4b460b30a23c47afc731096ea23d9c6fa90465dc",
                "token_address": "0x8b77b325d3866c1dcedd128bae7f7192af1e3807",
                "token_name": "metaSAFE Token",
                "token_symbol": "MESA",
                "token_decimals": "18",
                "transaction_index": "0"
            },
            ...
        ]
    }
}
```

{% endtab %}
{% endtabs %}

***

### Get a list of 'MRC721 - Token Transfer Events' by Address <a href="#mrc721-token-transfer-events" id="mrc721-token-transfer-events"></a>

Returns the list of MRC-721 ( NFT ) tokens transferred by an address, with optional filtering by token contract.

```
GET https://testnetapi.metadium.com/v1/accounts/{address_hash}/token-transfer/mrc721
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>address_hash</em></td><td><p>type: String</p><p>value: Address (sender/receiver/contract)</p><p>required: true</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr><tr><td><em>startBlock</em></td><td><p>type: String</p><p>value: Start block (Default: null)</p><p>required: false</p></td></tr><tr><td><em>endBlock</em></td><td><p>type: String</p><p>value: End block (Default: null)</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "1",
        "data": [
            {
                "timestamp": "2019-12-13T19:02:39Z",
                "sender": "0x0000000000000000000000000000000000000000",
                "receiver": "0xbc557b421d6702d6206ecedd7e2fb7b8c3a47611",
                "confirmations": "39955328",
                "block_number": "4675503",
                "transaction_hash": "0x49bc8b60a3fb1b3ede5940eed1926eed9a9c2bc4b36275b921bf6f3140e63b3a",
                "block_hash": "0x6fd8aaf37112eeb8b908d912ab9887c8309687380fafc7578542cff6f0cad154",
                "token_address": "0xe70311a482c6675f4e4a49c1e36e4e4b658c3813",
                "token_name": "BC",
                "token_symbol": "",
                "token_decimals": null,
                "transaction_index": "0"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

***

### Get MRC20/MRC721 Token List for a Single Address <a href="#token-list" id="token-list"></a>

Returns the list of MRC-20/MRC-721 tokens held in a single address.

```
GET https://testnetapi.metadium.com/v1/accounts/{address_hash}/tokens
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>address_hash</em></td><td><p>type: String</p><p>value: Address of token holder</p><p>required: true</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

<pre><code>//Response Sample Result
<strong>{
</strong>    "mrc_20": {
        "count": "1",
        "results": [
            {
                "balance": "509619999999999998500",
                "token_address": "0x62d1940f082e89a5f94d9a4d726545f1209657e4",
                "token_symbol": "TPL",
                "token_name": "The poll coin",
                "holder_address": "0xacb1ff4404cc500d9ed782fd7a040e0baa641650",
                "holder_type": "0",
                "token_decimals": "18"
            }
        ]
    },
    "mrc_721": {
        "count": "1",
        "results": [
            {
                "balance": "1",
                "token_address": "0xCB9df5F64456C20feA6729416337B0b782507Be3",
                "holder_address": "0xacb1ff4404cc500d9ed782fd7a040e0baa641650"
            }
        ]
    }
}
</code></pre>

{% endtab %}
{% endtabs %}

***

### Get MRC20 Token List for a Single Address <a href="#mrc20-token-list" id="mrc20-token-list"></a>

Returns the list of MRC-20 tokens held in a single address.

```
GET https://testnetapi.metadium.com/v1/accounts/{address_hash}/tokens/mrc20
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>address_hash</em></td><td><p>type: String</p><p>value: Address of token holder</p><p>required: true</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "1",
        "data": [
            {
                "token_address": "0x62d1940f082e89a5f94d9a4d726545f1209657e4",
                "token_name": "The poll coin",
                "token_symbol": "TPL"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

***

### Get MRC721 Token List for a Single Address <a href="#mrc721-token-list" id="mrc721-token-list"></a>

Returns the list of MRC-721 tokens held in a single address.

```
GET https://testnetapi.metadium.com/v1/accounts/{address_hash}/tokens/mrc721
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>address_hash</em></td><td><p>type: String</p><p>value: Address of token holder</p><p>required: true</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "1",
        "data": [
            {
                "token_address": "0xcb9df5f64456c20fea6729416337b0b782507be3",
                "token_name": "복숭아",
                "token_symbol": ""
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

***

### Get MRC721 Token Inventory of a Specific MRC721 Contract <a href="#token-inventory" id="token-inventory"></a>

Returns the MRC-721 token inventory of a specific MRC721 contract and a list of specific tokens owned.

```
GET https://testnetapi.metadium.com/v1/accounts/{contract_address}/tokens/inventory
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>contract_address</em></td><td><p>type: String</p><p>value: Contract address requiring inventory list</p><p>required: true</p></td></tr><tr><td><em>token_address</em></td><td><p>type: String</p><p>value: Specific token address</p><p>required: false</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "1",
        "data": [
            {
                "contract_address": "0xcb9df5f64456c20fea6729416337b0b782507be3",
                "token_id": "165418202197237747081907",
                "token_uri": "",
                "token_name": "복숭아",
                "token_symbol": ""
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

***

### Get list of Blocks Mined by address <a href="#block-mined-list" id="block-mined-list"></a>

Returns the list of blocks created by the miner.

```
GET https://testnetapi.metadium.com/v1/accounts/{address_hash}/mined-blocks
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>address_hash</em></td><td><p>type: String</p><p>value: Address of miner</p><p>required: true</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "727802",
        "data": [
            {
                "timestamp": "2023-09-25T03:00:58Z",
                "miner": "0x378360d4f25e6377f3da53f8cf09e9a258118528",
                "reward": "0",
                "fees": "0",
                "block_number": "44631328",
                "gas_used": "0",
                "gas_limit": "268435456",
                "transaction_count": "0",
                "mining_reward": "0"
            },
            ...
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metadium.com/ko/api-reference/explorer-api/accounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
